Index: builds/unix/freetype-config.in
--- builds/unix/freetype-config.in.orig	2005-06-04 23:58:48 +0200
+++ builds/unix/freetype-config.in	2006-05-14 09:58:42 +0200
@@ -128,7 +128,7 @@
 fi
 
 if test "$echo_cflags" = "yes" ; then
-  cflags="-I$includedir/freetype2"
+  cflags="-I$includedir"
   if test "$includedir" != "/usr/include" ; then
     echo $cflags -I$includedir
   else
Index: builds/unix/freetype2.in
--- builds/unix/freetype2.in.orig	2005-08-26 07:49:21 +0200
+++ builds/unix/freetype2.in	2006-05-14 10:21:15 +0200
@@ -8,4 +8,4 @@
 Version: @ft_version@
 Requires:
 Libs: -L${libdir} -lfreetype @LIBZ@
-Cflags: -I${includedir}/freetype2 -I${includedir}
+Cflags: -I${includedir}
Index: builds/unix/install.mk
--- builds/unix/install.mk.orig	2006-04-01 07:16:40 +0200
+++ builds/unix/install.mk	2006-05-14 10:22:05 +0200
@@ -30,30 +30,30 @@
 install: $(PROJECT_LIBRARY)
 	$(MKINSTALLDIRS) $(DESTDIR)$(libdir)                               \
                          $(DESTDIR)$(libdir)/pkgconfig                     \
-                         $(DESTDIR)$(includedir)/freetype2/freetype/config \
-                         $(DESTDIR)$(includedir)/freetype2/freetype/cache  \
+                         $(DESTDIR)$(includedir)/freetype/config \
+                         $(DESTDIR)$(includedir)/freetype/cache  \
                          $(DESTDIR)$(bindir)                               \
                          $(DESTDIR)$(datadir)/aclocal
 	$(LIBTOOL) --mode=install $(INSTALL)                             \
                                   $(PROJECT_LIBRARY) $(DESTDIR)$(libdir)
 	-for P in $(PUBLIC_H) ; do                           \
           $(INSTALL_DATA)                                    \
-            $$P $(DESTDIR)$(includedir)/freetype2/freetype ; \
+            $$P $(DESTDIR)$(includedir)/freetype ; \
         done
 	-for P in $(CONFIG_H) ; do                                  \
           $(INSTALL_DATA)                                           \
-            $$P $(DESTDIR)$(includedir)/freetype2/freetype/config ; \
+            $$P $(DESTDIR)$(includedir)/freetype/config ; \
         done
-	-$(DELETE) $(DESTDIR)$(includedir)/freetype2/freetype/cache/*
-	-$(DELDIR) $(DESTDIR)$(includedir)/freetype2/freetype/cache
-	-$(DELETE) $(DESTDIR)$(includedir)/freetype2/freetype/internal/*
-	-$(DELDIR) $(DESTDIR)$(includedir)/freetype2/freetype/internal
+	-$(DELETE) $(DESTDIR)$(includedir)/freetype/cache/*
+	-$(DELDIR) $(DESTDIR)$(includedir)/freetype/cache
+	-$(DELETE) $(DESTDIR)$(includedir)/freetype/internal/*
+	-$(DELDIR) $(DESTDIR)$(includedir)/freetype/internal
 	$(INSTALL_DATA) $(BUILD_DIR)/ft2unix.h \
           $(DESTDIR)$(includedir)/ft2build.h
 	$(INSTALL_DATA) $(OBJ_BUILD)/ftconfig.h                        \
-          $(DESTDIR)$(includedir)/freetype2/freetype/config/ftconfig.h
+          $(DESTDIR)$(includedir)/freetype/config/ftconfig.h
 	$(INSTALL_DATA) $(OBJ_DIR)/ftmodule.h                          \
-          $(DESTDIR)$(includedir)/freetype2/freetype/config/ftmodule.h
+          $(DESTDIR)$(includedir)/freetype/config/ftmodule.h
 	$(INSTALL_SCRIPT) -m 755 $(OBJ_BUILD)/freetype-config \
           $(DESTDIR)$(bindir)/freetype-config
 	$(INSTALL_SCRIPT) -m 644 $(BUILD_DIR)/freetype2.m4 \
@@ -64,11 +64,10 @@
 
 uninstall:
 	-$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(libdir)/$(LIBRARY).$A
-	-$(DELETE) $(DESTDIR)$(includedir)/freetype2/freetype/config/*
-	-$(DELDIR) $(DESTDIR)$(includedir)/freetype2/freetype/config
-	-$(DELETE) $(DESTDIR)$(includedir)/freetype2/freetype/*
-	-$(DELDIR) $(DESTDIR)$(includedir)/freetype2/freetype
-	-$(DELDIR) $(DESTDIR)$(includedir)/freetype2
+	-$(DELETE) $(DESTDIR)$(includedir)/freetype/config/*
+	-$(DELDIR) $(DESTDIR)$(includedir)/freetype/config
+	-$(DELETE) $(DESTDIR)$(includedir)/freetype/*
+	-$(DELDIR) $(DESTDIR)$(includedir)/freetype
 	-$(DELETE) $(DESTDIR)$(includedir)/ft2build.h
 	-$(DELETE) $(DESTDIR)$(bindir)/freetype-config
 	-$(DELETE) $(DESTDIR)$(datadir)/aclocal/freetype2.m4
Index: include/freetype/freetype.h
--- include/freetype/freetype.h.orig	2006-05-12 15:52:24 +0200
+++ include/freetype/freetype.h	2006-05-14 10:22:27 +0200
@@ -16,15 +16,6 @@
 /***************************************************************************/
 
 
-#ifndef FT_FREETYPE_H
-#error "`ft2build.h' hasn't been included yet!"
-#error "Please always use macros to include FreeType header files."
-#error "Example:"
-#error "  #include <ft2build.h>"
-#error "  #include FT_FREETYPE_H"
-#endif
-
-
   /*************************************************************************/
   /*                                                                       */
   /* The `raster' component duplicates some of the declarations in         */
